<?php
/**
 * @package Wordpress Video Theme by Impact Media Ltd (http://www.impactmedialtd.co.uk)
 */
get_header();
?>

<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

<div <?php post_class() ?> id="page-<?php the_ID(); ?>">

	<?php if (!is_front_page()) {?><h1 class="storytitle"><a href="<?php the_permalink() ?>" rel="bookmark"><?php the_title(); ?></a></h1><?php } ?>
	<div class="<?php if (is_front_page()) { ?>frontpage<?php } else { ?>pagecontent<?php } ?>">
	<?php
	the_content();
	if (is_front_page()){
		?>
		<div class="gradient"></div>
		<div class="slogan"><?php bloginfo('description'); ?></div>
		<a href="<?php bloginfo('rss2_url'); ?>" class="rss"><img src="<?php bloginfo('template_directory'); ?>/images/rss-large.png" alt="rss" /></a>
		<?
	}
	?>
	</div>

	<?php
	if (is_front_page()){
		$subpages = frontpage_getSubPages($post->ID);
		?>
				<div class="fpages">
					<?php
					foreach ($subpages as $subpage){
						?>
						<!-- fpage -->
						<div class="fPage">
							<h2><?php print $subpage->post_title ?></h2>
							<div class="cnt"><?php print $subpage->post_content ?></div>
						</div>
						<!-- fpage -->
						<?php
					}
					?>
					<div class="clear"></div>
			</div>
		<?
	}
	?>

</div>


<?php endwhile; else: ?>
<p><?php _e('Sorry, no posts matched your criteria.'); ?></p>
<?php endif; ?>


<?php get_footer(); ?>
